Find out current retention period for monitoring servers and ensure that data is kept for 5 years

01/20/2020 03:19 PM - Nico Schottelius

Status: Closed Start date: 01/20/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ |Looking at monitoring.place6 | see data for less than 90 days.

¢ My expectation is to be able to zoom out to 5 years so that we can see changes we did over years
¢ My assumption is that prometheus is configured with some storage size and it auto drops/rotates
e So probably the solution is just to add/extend the hdd space on monitoring.placeX by a factor of Y

History

#1 - 01/23/2020 10:57 PM - Dominique Roux

it's configured in __dcl_monitoring_server type

__prometheus_server \
—-—config "$prometheus_config" \
—--retention-days 30 \
——-rule-files "$_ _type/files/*.rules" \
--storage-path /data/prometheus

on the __prometheus_server you see:

FLAGS="--storage.tsdb.path $storage_path --storage.tsdb.retention $((retention_days*24))h --web.listen-address
[::]:9090"

See here for the configuration
https://www.robustperception.io/configuring-prometheus-storage-retention
| suggest to use the flag --storage.tsdb.retention.size 90GB (not sure if 90GB works) and get rid of the --storage.tsdb.retention flag

Here some interesting information about prometheus storage handling https:/prometheus.io/docs/prometheus/1.8/storage/

#2 - 01/24/2020 10:03 AM - Nico Schottelius
Go with it

redmine@ungleich.ch writes:

#3 - 02/10/2021 09:02 AM - Timothée Floure

- Assignee deleted (Timothée Floure)

#4 - 02/11/2021 01:25 PM - Nico Schottelius

- Status changed from New to Closed

redmine@ungleich.ch writes:
